// Return the .comm property/method value for the embed tag (id = vieweremb)
// or the object tag (id = viewerobj).
// Else return NULL if property not found.
//
// It is assumed here that comm will actually return a value.
// comm can be of the form: 'PropertyName' or 'MethodName()'
//
// Note: QT 5 cannot use Javascript with IE, but QT6 can. Also, not
// all browsers may allow browser javascript to QT interaction.
function getprop(comm){
var a="";

// If .comm property does not exist, then try the viewerobj tag instead.
// If it does exist, but its VALUE is undefined, then try the viewerobj tag.
if (typeof document.getElementById("viewerobj") != "undefined"){
  try{
    eval("a = document.getElementById(\"viewerobj\")." + comm);
    if (typeof a != "undefined") {return a};
             }
  catch(e){};
    }


if (typeof document.getElementById("vieweremb") != "undefined"){
  try{
    eval("a = document.getElementById(\"vieweremb\")." + comm);
    if (typeof a != "undefined"){return a};
             }
  catch(e){};
    }

return(null); // Return null if .comm property/method does not exist,
              // OR if it exists but has undefined value.
};

// Print out pan,tilt,fov for a QuickTime object
function ptf(){
var pan = getprop('GetPanAngle()');
var tilt = getprop('GetTiltAngle()');
var fov = getprop('GetFieldOfView()');

if (pan==null || tilt==null || fov==null){return false}

var m = 100000;
pan = Math.round(pan*m)/m;
tilt = Math.round(tilt*m)/m;
fov = Math.round(fov*m)/m;

alert("pan = " + pan + "\n" +
      "tilt = " + tilt + "\n" + 
      "fov = " + fov);
}
